Retrieves sensor data for the given sensor and asset IDs.

Retrieves sensor data for specified interval for given sensorIds and assetIds.

📘

The rate limit for this API is normal.

Query Params
sensorIds
array of strings
required

Represents a list of sensor IDs to be retrieved. The latest sensor data with sensorId in the list is retrieved. The input is in comma-delimited format. Maximum 10 sensors are allowed.

The example values are "fuel,mileage,position".

sensorIds*
assetIds
array of uuids

Represents a list of asset IDs to be retrieved. Sensor data for the assets are retrieved. The input is in comma-delimited format.

Maximum 10 assets can be provided. If not provided, all assets for an organization are considered.

assetIds
date-time
required

Represents the start time of date range to retrieve in UTC format.

date-time
required

Represents the end time of date range to retrieve in UTC format.

Maximum interval is one week.

int32
Defaults to 500

Optional parameter to represent the limit of total sensor data to be fetched. The default value is 500 and maximum limit is 2000.

string

Represents the base64 converted token to be used as a cursor for fetching next batch of sensor data.

Responses

Language
Credentials
http
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json